Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.
nombre réponses : 25

#0 Re : -1 »  Installation imprimante Canon LBP3200 sur Ubuntu 14.04 64bits » Le 11/07/2014, à 14:19

murex
Réponses : 3

Bonjour,

Le driver CAPT v 2.60 qui correspond à ton modèle d'imprimante ne s'installe plus sur Ubuntu 64bits à partir de 13.10 comme indiqué dans la Doc.
Perso j'ai gardé 12.04 64bits qui tourne super bien (avec l'ajout de quelques dépôts PPA pour avoir les dernières versions de LibreOffice, Gimp...) et 14.04 64bits pour suivre les dernières évolutions et continuer à chercher/tester toutes les bidouilles pour installer ce driver CAPT (sans succès pour l'instant).
Sinon tu peux toujours installer un Win dans Virtualbox. Le driver pour Win est OK et tu pourras imprimer sans problèmes.

A+

#1 Re : -1 »  Imprimante CANON LBP 810 » Le 02/07/2014, à 15:00

murex
Réponses : 10

Bonjour

Je suppose que tu as essayé ce tuto ?
http://doc.ubuntu-fr.org/materiel/impri … non_lbp800

Je n'ai pas cette imprimante, mais pour avoir essayé d'aider d'autre membres avec cette imprimante, le driver CAPT v260 ne convient pas.
A+

#2 Re : -1 »  Imprimante CANON LBP 810 » Le 03/07/2014, à 14:24

murex
Réponses : 10

Bonjour,

Pour résumer et expliquer ton problème :
Depuis 12.04 Ubuntu utilise multiarch au lieu de ia32-libs pour la gestion des bibliothèques 32bits pour les systèmes 64bits.
Avec 14.04 (Trusty Tahr), le paquet ia32-libs n'existe plus dans les dépôts de cette version.
La tentative d'installation que tu as faite, en suivant la Doc, consiste à installer une version antérieure de ia32-libs.
Comme expliqué dans la Doc, cela ne peut plus marcher avec 14.04 car la "compatibilité" des dépendances est définitivement perdue.
Tu as donc un paquet installé : ia32-libs qui a des dépendances non satisfaites.
Il faut donc que tu le supprimes pour retrouver une situation "saine".

sudo dpkg purge ia32-libs

devrait résoudre ton problème de dépendances.
A+

#3 Re : -1 »  Imprimante CANON LBP 810 » Le 04/07/2014, à 14:44

murex
Réponses : 10

Bonjour

Désolé, erreur dans la commande sad

sudo dpkg --purge ia32-libs

A+

#4 Re : -1 »  installation imprimante canon lbp 5050 » Le 29/06/2014, à 08:48

murex
Réponses : 10

Bonjour,

oblates.assomtion a écrit :

Mais maintenant je bloque à cette étape : sudo /usr/sbin/lpadmin -p LBP5050 -m CNCUPSLBP5050CAPTK.ppd -v ccp://localhost:59787 -E
car j'ai comme réponse
lpadmin: Bad device-uri scheme "ccp"

Juste en passant, attention si tu fais un copier/coller des commandes depuis la Doc. Je me suis fait avoir quelques fois par le passé, la mise en forme des polices n'est pas toujours conservée et cela peut donner des erreurs de syntaxe.
Essaie en tapant la ligne à la main dans le terminal.
A+

#5 Re : -1 »  installation imprimante canon lbp 5050 » Le 30/06/2014, à 13:41

murex
Réponses : 10

Bonjour,

Voilà ce que ça donne pour moi :

Description:	LBP5000
Emplacement:	
Pilote:	Canon LBP5000 CAPT ver.1.3 (color, 2-sided printing)
Connexion:	ccp://localhost:59787
Défauts:	job-sheets=none, none media=iso_a4_210x297mm sides=one-sided

Chez toi, c'est normal que tu aies :
Connexion:    file:///dev/null
puisque la commande lpadmin a échoué ==> ton imprimante n'est pas correctement enregistrée dans CUPS.

En principe la syntaxe est bonne, essaie avec l'ancienne méthode comme mentionné dans
http://doc.ubuntu-fr.org/tutoriel/insta … _dans_cups

A+

#6 Re : -1 »  installation imprimante canon lbp 5050 » Le 03/07/2014, à 15:02

murex
Réponses : 10

Bonjour,

Essaie de reprendre à zéro :

Supprime l'imprimante dans CUPS via http://localhost:631
Supprime les 2 paquets du pilote CAPT

sudo dpkg purge cndrvcups*

Relance CUPS

sudo service cups restart

Refait la procédure d'installation.
http://doc.ubuntu-fr.org/installer_canon_lbp
http://doc.ubuntu-fr.org/tutoriel/insta … _canon_lbp

Si ça marche, dans le 2ième tuto, ne fais pas la partie : 4.3 Automatiser la détection de l'imprimante avant d'avoir réussi à imprimer quelque chose.

A+

#7 Re : -1 »  [RÉSOLU] Canon i-sensys LBP5050n » Le 25/06/2014, à 15:54

murex
Réponses : 13

Bonjour,

Ton imprimante est supportée par le driver canon CAPT v2.60 (cf site Canon).
Ce driver propriétaire fonctionne avec toutes les versions 32 bits.
Pour les versions 64bits, dans l'état actuel des choses il est fonctionnel avec 12.04 mais pas au delà.
http://doc.ubuntu-fr.org/installer_canon_lbp
http://doc.ubuntu-fr.org/tutoriel/insta … _canon_lbp

As-tu essayé ?
A+

#8 Re : -1 »  [RÉSOLU] Canon i-sensys LBP5050n » Le 25/06/2014, à 18:05

murex
Réponses : 13
biopip a écrit :

il faisait référence à des paquets introuvables (notamment ia32-libs_20090808ubuntu26_amd64.deb).

Étrange, je viens de tester à l'instant à partir de la page de la Doc, ce paquet se télécharge normalement ???
le lien: http://fr.archive.ubuntu.com/ubuntu/poo … _amd64.deb n'est pas mort.

A+

EDIT :
En fait dans le tuto j'avais oublié de modifier la commande :

sudo dpkg -i ia32-libs_20090808ubuntu36_amd64.deb

elle était restée avec : sudo dpkg -i ia32-libs_20090808ubuntu26_amd64.deb
Problablement la cause de ton problème.
Merci je viens de corriger la page de la Doc wink

#9 Re : -1 »  [RÉSOLU] Canon i-sensys LBP5050n » Le 26/06/2014, à 15:38

murex
Réponses : 13

Bonjour,

La version 26 est dans les dépôts Lucid (10.04), l'adresse a du changer avec la fin du support de 10.04.
La version 36 est dans les dépôts Precise (12.04)
Peux-tu me confirmer qu'avec la version 36 de ia32-libs et en suivant le tuto de la Doc ton imprimante fonctionne.
Merci de ton aide.
A+

#10 Re : -1 »  [RÉSOLU] Canon i-sensys LBP5050n » Le 26/06/2014, à 16:43

murex
Réponses : 13

Lorsque tu referas l'installation en suivant le tuto, peux-tu t'arrêter après le point 4.2 Enregistrer l'imprimante dans le démon ccpd.
Ensuite, tu lances ccpd "à la main" :

sudo service ccpd start

Ne fais pas la partie Automatiser la détection de l'imprimante.

Avant d'essayer d'imprimer regarde ce que donne :

captstatusui -P LBP5050n

Si tout a marché, la fenêtre du Status monitor devrait s'ouvrir avec le message "Ready to print"
Si c'est le cas tu devrais pouvoir imprimer depuis les logiciels.
Question bête, ton imprimante est bien sur /dev/usb/lp2

Pour info :
Je ne sais plus avec quelle version de 12.04 je tourne. C'est celle avec le noyau 3.5.0-xx.
J'ai toujours le fichier /lib/udev/rules.d/70-printers.rules.
J'utilise une LBP5000 pour valider la Doc.

Merci
A+

#11 Re : -1 »  [RÉSOLU] Canon i-sensys LBP5050n » Le 27/06/2014, à 15:35

murex
Réponses : 13

Bonjour oblates.assomption

Il faudrait que tu nous fournisses un peu plus de renseignements précis pour pouvoir t'aider.
Pour commencer :
- Quelle version de lubntu et quelle architecture (32/64bits)
- Quels sont les paquets qui ont des problèmes de dépendances
- As-tu réussi à installer le driver CAPT v2.60 comme indiqué http://doc.ubuntu-fr.org/installer_canon_lbp

D'autre part, même si tes difficultés se rapportent au même matériel, je ne sais pas si pour l’efficacité et la clarté de ce fil il ne vaudrait pas mieux que tu ouvres ton propre sujet.
A biospip de voir, c'est "son" sujet wink

A+

#12 Re : -1 »  Gimp enregistrement en Jpg ??? (RESOLU) » Le 15/06/2014, à 14:27

murex
Réponses : 2

Bonjour,

Voici la liste des libjpeg installées sur ma 12.04-64bits :
libjpeg-turbo8
libjpeg-progs
libjpeg8
libjpeg-turbo-progs
libjpeg62

si ça peut t'aider.
A+

#13 Re : -1 »  scanner Epson perfection V300 PHOTO sur 12.04 LTS JPEG en grisé » Le 01/06/2014, à 14:39

murex
Réponses : 3

Bonjour,

Bonne année depuis notre dernier échange big_smile wink

Voici la liste des libjpeg installées sur ma 12.04 :
libjpeg-turbo8
libjpeg-progs
libjpeg8
libjpeg-turbo-progs
libjpeg62

Avec "tout çà" je scanne aussi en jpeg.

A+

#14 Re : -1 »  12.04 et lbp2900 » Le 14/03/2014, à 15:13

murex
Réponses : 10

Bonjour,

En principe la version 260 du driver Canon n'a plus besoin de cet ancien paquet de transition (gs-esp).
Lors de l'installation du driver puis de l'imprimante as-tu eu un message concernant le paquet gs-esp ?
Par contre il faut que le paquet ghostscript soit installé, mais en principe il l'est par défaut.

As-tu suivi l'ensemble de la procédure d'installation :
http://doc.ubuntu-fr.org/installer_canon_lbp
puis :
http://doc.ubuntu-fr.org/tutoriel/insta … _canon_lbp

Ton imprimante as-t-elle fait parlé la poudre wink

A+

#15 Re : -1 »  12.04 et lbp2900 » Le 18/03/2014, à 14:20

murex
Réponses : 10

Bonjour,

Tous les fichiers log sont dans le répertoire /var/log, tu peux essayer de jeter un œil.
As-tu eu des retours de commande "suspects" lors de l'exécution des commandes dans le terminal pour l'installation du driver puis de l'imprimante ?

Sinon, que donne la commande :

captstatusui -P [nom de l'imprimante]

Bien sur tu remplaces [nom de l'imprimante] par celui que tu as utilisé lors de l'installation wink

A+

#16 Re : -1 »  12.04 et lbp2900 » Le 21/03/2014, à 15:53

murex
Réponses : 10

Bonjour,

C'est les joies de l'installation de ces imprimantes big_smile mad
Je pars ce soir et ne reviendrai sur le forum que début avril.
Ce que tu peux essayer (imprimante allumée) :
Arrêter ccpd

sudo service ccpd stop

Arrêter puis relancer cups

sudo service cups stop
sudo service cups start

Relancer ccpd

sudo service ccpd start

Vérifier que ccpd est OK (cf la doc)

sudo service ccpd status

doit te donner : ccpd: 8956 8954 (aux chiffres près)

Sinon je crois qu'il faudra "tout reprendre depuis le début"...
Courage
A+

#17 Re : -1 »  12.04 et lbp2900 » Le 02/04/2014, à 15:54

murex
Réponses : 10

Bonjour,

Pour les besoins de cette affaire, j'ai installé 12.04.4 LTS - 32bits sur un bout de partition libre.
J'ai installé ma LBP5000 qui utilise le même driver et la même procédure que ta LBP2900.
Je te récapitule ce que j'ai fait (suivant procédure Doc).

Imprimante allumée et connectée au PC (vérification de l’existence de : /dev/usb/lp0)
1) Téléchargement du driver Canon CAPT v260
2) Installation du paquet : libglade2-0
3) Installation du paquet : cndrvcups-common_2.60-1_i386.deb
4) Installation du paquet : cndrvcups-capt_2.60-1_i386.deb
5) Reboot du PC en gardant l'imprimante allumée
6) Installation de l'imprimante dans CUPS (commandes adaptées à ton imprimante wink)

sudo /usr/sbin/lpadmin -p LBP2900 -m CNCUPSLBP2900CAPTK.ppd  -v ccp://localhost:59787 -E

7) Enregistrer l'imprimante dans le démon ccpd

sudo /usr/sbin/ccpdadmin -p LBP2900 -o /dev/usb/lp0

8) Lancement de ccpd

sudo service ccpd start

A ce stade la page test s'imprime normalement.
Je n'ai pas fait la partie automatisation de la détection de l'imprimante.

Voilà ce que je peux te rapporter, te ton côté où en es-tu ?

A+

#18 Re : -1 »  12.04 et lbp2900 » Le 03/04/2014, à 12:52

murex
Réponses : 10

Oui, je sais, as-tu regardé et testé le point 4.3 de http://doc.ubuntu-fr.org/tutoriel/insta … _canon_lbp ?

A+

Edit : tu peux tester et vérifier avec le Moniteur système pour voir dans quel état se trouve ccpd.

#19 Re : -1 »  imprimante LBP1120 » Le 23/01/2014, à 15:10

murex
Réponses : 23

@UnMamouth
Bonjour,

UnMamouth a écrit :

En fait, juste après l'installation, l'impression fonctionne. Par contre, une fois redémarré l'ordinateur, cela ne fonctionne plus : les documents sont envoyés à l'imprimante, mais restent bloqués dans la file de travail avec 'Traitement en cours'.
Y aurait-il un process bloqué ou non-démarré quelque part ?

Dans le tuto http://doc.ubuntu-fr.org/tutoriel/insta … _canon_lbp as-tu fait la partie automatisation de la détection de l'imprimante ?
J'ai constaté ces deniers temps que lorsque l'imprimante était déjà allumée au boot du PC, et malgré le job Upstart qui relance ccpd, cela ne fonctionne pas à tous les coups ??? Pour le moment je n'ai pas eu le temps de me repencher sur le problème.
Dans ce cas là, le plus simple c'est de rebooter le PC avec l'imprimante débranchée ou éteinte; et de la brancher/allumer une fois le PC opérationnel.
A+

#20 Re : -1 »  imprimante LBP1120 » Le 25/01/2014, à 13:52

murex
Réponses : 23

Bonjour,

Supprime la LBP1120 pour ne conserver que la LBP-1120
La LBP1120 correspond peut-être à la tentative d'installation auto de Udev.
Si elle revient tu la désactives au lieu de la supprimer. 
A+

#21 Re : -1 »  imprimante canon lbp810 » Le 24/01/2014, à 16:45

murex
Réponses : 41

Bonjour,

L'Africain a écrit :

Bon au moins c'est clair. Ce que je voulais dire avec ufrII, c'est que c'est Canon qui le propose et que le 64 bits s'installe sans aucun problème avec le ia32 des dépots, sans problème, alors je m'étonne de tant de difficultés pour les lbp !

Comme je te le disais dans un autre fil, je n'ai pas d'imprimante qui relève du driver UFR II, donc impossible de tester pour moi.
La seule chose que je peux te dire c'est que sur les 2 paquets qui composent ce driver, le "common" semble identique à celui du driver CAPT.
Avec quelle version d'Ubuntu 64bits as-tu fait une installation réussie du driver URF II et avec quelle imprimante ?

A+

@ alca94
Bonjour,

alca94 a écrit :

Je n'ai pas tout suivi par contre ia-32 n'existe plus pour la version 13.10 ,pour Brother il faut installer ces deux lignes en lieu et place pour que l'imprimante fonctionne

Oui, en ce moment on se parle sur plusieurs fils au sujet des imprimantes LBP et 13.10-64bits.
Le problème c'est justement que ia32-libs et certaines de ses dépendances ont disparu de 13.10.
Donc plus possible de bidouiller avec une ancienne version de ia32-libs.
Canon indique clairement que ce paquet est nécessaire pour le 64bits :

In a 64-bit Ubuntu environment, all the 32-bit libraries required for
  printing are not installed. As a result, printing will fail if 32-bit
  libraries are not installed.
  Before printing, it is required that you execute the following commands to
  install a 32-bit library package.
    # apt-get install ia32-libs
    # apt-get install libpopt0:i386

Pour le moment je n'ai pas encore réussi à trouver les bibliothèques 32bits qui sont nécessaires au driver CAPT parmi toutes celles qui étaient installées par ia32-libs.
Sinon effectivement je connais la nouvelle façon de faire :

alca94 a écrit :

via le terminal
sudo dpkg --add-architecture i386
puis installer le paquet dont aura besoin le pilote :
sudo apt-get install libc6:i386

A+

#22 Re : -1 »  imprimante canon lbp810 » Le 26/01/2014, à 16:23

murex
Réponses : 41

Bonjour,

Je peux te confirmer qu'avec ma LBP5000, le paquet ia32-libs dans les dépôts 12.04 - 12.10 et 13.04 (en fait ce n'est plus le "vieux" paquet mais un paquet de transition) ne marche pas. Il faut absolument que j'utilise le paquet d'une version antérieure à 12.04, comme je l'indique dans la Doc. Le paquet de transition n'installe pas les bibliothèques dans les mêmes répertoires et ça fout le b...

Je me demande si ces drivers Canon ne sont pas en fait une "compilation" de pilotes pour toutes les imprimantes d'une même série.
Je m'explique, ma LBP5000 qui est une des premières sortie de la série LBP, m'affiche toujours "Canon LBP5000 CAPT ver.1.3" alors que j'ai installé le driver 2.60.
Ce qui me laisse à penser que Canon ne fait pas évoluer les pilotes à chaque version mais se contente d'ajouter les pilotes pour les nouvelles imprimantes sorties.
Donc peut-être qu'une imprimante récente de la série LBP à un pilote qui utilise multiarch pour gérer le 32/64bits et peut s'installer sans problème alors que les anciennes restent toujours avec un pilote basé sur ia32-libs ???

Comme on est en face d'un driver propriétaire, on ne peut que tâtonner et supputer big_smile

A+

#23 Re : -1 »  installation de la canon lbp-1120 sous 13.10 64 bits » Le 22/01/2014, à 15:43

murex
Réponses : 5

Bonjour,

Ça y est, j'ai mis la Doc à jour hier concernant "l'impossibilité" d'installation des imprimantes LBP avec 13.10 64bits.

A+

#24 Re : -1 »  installation de la canon lbp-1120 sous 13.10 64 bits » Le 23/01/2014, à 15:19

murex
Réponses : 5

@ L'Africain,

J'ai téléchargé le driver 2.60 de la Doc https://help.ubuntu.com/community/CanonCaptDrv190.
En première analyse c'est la version 2.60 distribuée par Canon depuis juillet 2013.
Déjà avec les versions précédentes d'Ubuntu, ce tuto présentait l'installation 64bits de cette manière et j'avais cru comme toi qu'il y avait du nouveau. En fait non, pour 64bits les indications ne sont pas bonnes. Je pense que le rédacteur reprend la procédure Canon fournie avec le Driver mais elle n'est valable que pour du 32bits.

Pour le driver ufr II je ne connais pas, il ne s'applique pas à mon imprimante.

A+